Skip to main content
PUT
/
api
/
documents
/
{document_id}
Update a document
curl --request PUT \
  --url https://api.example.com/api/documents/{document_id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "title": "<string>",
  "content": {},
  "folder_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "tags": [
    "<string>"
  ]
}
'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "title": "<string>",
  "tags": [
    "<string>"
  ],
  "source_type": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "content": {},
  "folder_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

document_id
string<uuid>
required

Body

application/json

Request schema for updating a document.

title
string | null
content
Content · object
folder_id
string<uuid> | null
tags
string[] | null

Response

Successful Response

Response schema for a document.

id
string<uuid>
required
title
string
required
tags
string[]
required
source_type
string
required
created_at
string<date-time>
required
updated_at
string<date-time>
required
content
Content · object
folder_id
string<uuid> | null